Package gov.nasa.gsfc.sscweb.schema

# Class ObjectFactory

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the gov.nasa.gsfc.sscweb.schema package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static final QName`
  `_LocationRequest_QNAME`
  `private static final QName`
  `_Request_QNAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.nasa.gsfc.sscweb.schema

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractResult`
  `createAbstractResult()`
  Create an instance of `AbstractResult`
  `AltitudeGeographicCoordinates`
  `createAltitudeGeographicCoordinates()`
  Create an instance of `AltitudeGeographicCoordinates`
  `BFieldModel`
  `createBFieldModel()`
  Create an instance of `BFieldModel`
  `BFieldTraceOptions`
  `createBFieldTraceOptions()`
  Create an instance of `BFieldTraceOptions`
  `BoxConjunctionArea`
  `createBoxConjunctionArea()`
  Create an instance of `BoxConjunctionArea`
  `BTraceData`
  `createBTraceData()`
  Create an instance of `BTraceData`
  `CartesionCoordinates`
  `createCartesionCoordinates()`
  Create an instance of `CartesionCoordinates`
  `Conjunction`
  `createConjunction()`
  Create an instance of `Conjunction`
  `ConjunctionDescription`
  `createConjunctionDescription()`
  Create an instance of `ConjunctionDescription`
  `CoordinateData`
  `createCoordinateData()`
  Create an instance of `CoordinateData`
  `CoordinateOptions`
  `createCoordinateOptions()`
  Create an instance of `CoordinateOptions`
  `DataRequest`
  `createDataRequest()`
  Create an instance of `DataRequest`
  `DataResult`
  `createDataResult()`
  Create an instance of `DataResult`
  `DistanceConjunctionArea`
  `createDistanceConjunctionArea()`
  Create an instance of `DistanceConjunctionArea`
  `DistanceFromOptions`
  `createDistanceFromOptions()`
  Create an instance of `DistanceFromOptions`
  `ExecuteOptions`
  `createExecuteOptions()`
  Create an instance of `ExecuteOptions`
  `FileDescription`
  `createFileDescription()`
  Create an instance of `FileDescription`
  `FileResult`
  `createFileResult()`
  Create an instance of `FileResult`
  `FilteredCoordinateOptions`
  `createFilteredCoordinateOptions()`
  Create an instance of `FilteredCoordinateOptions`
  `FormatOptions`
  `createFormatOptions()`
  Create an instance of `FormatOptions`
  `GraphFormatOptions`
  `createGraphFormatOptions()`
  Create an instance of `GraphFormatOptions`
  `GraphLabelOptions`
  `createGraphLabelOptions()`
  Create an instance of `GraphLabelOptions`
  `GraphRequest`
  `createGraphRequest()`
  Create an instance of `GraphRequest`
  `GraphScale`
  `createGraphScale()`
  Create an instance of `GraphScale`
  `GroundStation`
  `createGroundStation()`
  Create an instance of `GroundStation`
  `GroundStationCondition`
  `createGroundStationCondition()`
  Create an instance of `GroundStationCondition`
  `GroundStationConjunction`
  `createGroundStationConjunction()`
  Create an instance of `GroundStationConjunction`
  `GroundStationResponse`
  `createGroundStationResponse()`
  Create an instance of `GroundStationResponse`
  `GroundStationTarget`
  `createGroundStationTarget()`
  Create an instance of `GroundStationTarget`
  `HemisphereOptions`
  `createHemisphereOptions()`
  Create an instance of `HemisphereOptions`
  `HemisphereRegions`
  `createHemisphereRegions()`
  Create an instance of `HemisphereRegions`
  `KmlRequest`
  `createKmlRequest()`
  Create an instance of `KmlRequest`
  `LeadSatelliteCondition`
  `createLeadSatelliteCondition()`
  Create an instance of `LeadSatelliteCondition`
  `LocationFilter`
  `createLocationFilter()`
  Create an instance of `LocationFilter`
  `LocationFilterOptions`
  `createLocationFilterOptions()`
  Create an instance of `LocationFilterOptions`
  `LocationRequest`
  `createLocationRequest()`
  Create an instance of `LocationRequest`
  `jakarta.xml.bind.JAXBElement<LocationRequest>`
  `createLocationRequest(LocationRequest value)`
  Create an instance of `JAXBElement``<``LocationRequest``>`
  `MapLimits`
  `createMapLimits()`
  Create an instance of `MapLimits`
  `MappedRegionFilterOptions`
  `createMappedRegionFilterOptions()`
  Create an instance of `MappedRegionFilterOptions`
  `MapProjectionGraphOptions`
  `createMapProjectionGraphOptions()`
  Create an instance of `MapProjectionGraphOptions`
  `ObservatoryDescription`
  `createObservatoryDescription()`
  Create an instance of `ObservatoryDescription`
  `ObservatoryResponse`
  `createObservatoryResponse()`
  Create an instance of `ObservatoryResponse`
  `OrbitGraphOptions`
  `createOrbitGraphOptions()`
  Create an instance of `OrbitGraphOptions`
  `OutputOptions`
  `createOutputOptions()`
  Create an instance of `OutputOptions`
  `QueryDataResult`
  `createQueryDataResult()`
  Create an instance of `QueryDataResult`
  `QueryFileResult`
  `createQueryFileResult()`
  Create an instance of `QueryFileResult`
  `QueryRequest`
  `createQueryRequest()`
  Create an instance of `QueryRequest`
  `QueryRequestType`
  `createQueryRequestType()`
  Create an instance of `QueryRequestType`
  `QueryResponse`
  `createQueryResponse()`
  Create an instance of `QueryResponse`
  `QueryResult`
  `createQueryResult()`
  Create an instance of `QueryResult`
  `RadiusGeographicCoordinates`
  `createRadiusGeographicCoordinates()`
  Create an instance of `RadiusGeographicCoordinates`
  `RegionCondition`
  `createRegionCondition()`
  Create an instance of `RegionCondition`
  `RegionFilterOptions`
  `createRegionFilterOptions()`
  Create an instance of `RegionFilterOptions`
  `RegionOptions`
  `createRegionOptions()`
  Create an instance of `RegionOptions`
  `Request`
  `createRequest()`
  Create an instance of `Request`
  `jakarta.xml.bind.JAXBElement<Request>`
  `createRequest(Request value)`
  Create an instance of `JAXBElement``<``Request``>`
  `Response`
  `createResponse()`
  Create an instance of `Response`
  `Result`
  `createResult()`
  Create an instance of `Result`
  `ResultOptions`
  `createResultOptions()`
  Create an instance of `ResultOptions`
  `Satellite`
  `createSatellite()`
  Create an instance of `Satellite`
  `SatelliteCondition`
  `createSatelliteCondition()`
  Create an instance of `SatelliteCondition`
  `SatelliteConjunction`
  `createSatelliteConjunction()`
  Create an instance of `SatelliteConjunction`
  `SatelliteData`
  `createSatelliteData()`
  Create an instance of `SatelliteData`
  `SatelliteDescription`
  `createSatelliteDescription()`
  Create an instance of `SatelliteDescription`
  `SatelliteSpecification`
  `createSatelliteSpecification()`
  Create an instance of `SatelliteSpecification`
  `SatelliteTarget`
  `createSatelliteTarget()`
  Create an instance of `SatelliteTarget`
  `SpaceRegions`
  `createSpaceRegions()`
  Create an instance of `SpaceRegions`
  `SpaceRegionsFilterOptions`
  `createSpaceRegionsFilterOptions()`
  Create an instance of `SpaceRegionsFilterOptions`
  `SurfaceGeographicCoordinates`
  `createSurfaceGeographicCoordinates()`
  Create an instance of `SurfaceGeographicCoordinates`
  `TimeInterval`
  `createTimeInterval()`
  Create an instance of `TimeInterval`
  `TimeSeriesGraphOptions`
  `createTimeSeriesGraphOptions()`
  Create an instance of `TimeSeriesGraphOptions`
  `TraceDescription`
  `createTraceDescription()`
  Create an instance of `TraceDescription`
  `TraceRegions`
  `createTraceRegions()`
  Create an instance of `TraceRegions`
  `Tsyganenko87BFieldModel`
  `createTsyganenko87BFieldModel()`
  Create an instance of `Tsyganenko87BFieldModel`
  `Tsyganenko89CBFieldModel`
  `createTsyganenko89CBFieldModel()`
  Create an instance of `Tsyganenko89CBFieldModel`
  `Tsyganenko96BFieldModel`
  `createTsyganenko96BFieldModel()`
  Create an instance of `Tsyganenko96BFieldModel`
  `ValueOptions`
  `createValueOptions()`
  Create an instance of `ValueOptions`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### _Request_QNAME

    private static final QName _Request_QNAME

  - ### _LocationRequest_QNAME

    private static final QName _LocationRequest_QNAME

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: gov.nasa.gsfc.sscweb.schema

- ## Method Details

  - ### createGroundStationResponse

    public GroundStationResponse createGroundStationResponse()
    Create an instance of `GroundStationResponse`
    Returns:
      the new instance of `GroundStationResponse`

  - ### createGroundStation

    public GroundStation createGroundStation()
    Create an instance of `GroundStation`
    Returns:
      the new instance of `GroundStation`

  - ### createObservatoryResponse

    public ObservatoryResponse createObservatoryResponse()
    Create an instance of `ObservatoryResponse`
    Returns:
      the new instance of `ObservatoryResponse`

  - ### createObservatoryDescription

    public ObservatoryDescription createObservatoryDescription()
    Create an instance of `ObservatoryDescription`
    Returns:
      the new instance of `ObservatoryDescription`

  - ### createRequest

    public Request createRequest()
    Create an instance of `Request`
    Returns:
      the new instance of `Request`

  - ### createLocationRequest

    public LocationRequest createLocationRequest()
    Create an instance of `LocationRequest`
    Returns:
      the new instance of `LocationRequest`

  - ### createDataRequest

    public DataRequest createDataRequest()
    Create an instance of `DataRequest`
    Returns:
      the new instance of `DataRequest`

  - ### createTimeInterval

    public TimeInterval createTimeInterval()
    Create an instance of `TimeInterval`
    Returns:
      the new instance of `TimeInterval`

  - ### createBFieldModel

    public BFieldModel createBFieldModel()
    Create an instance of `BFieldModel`
    Returns:
      the new instance of `BFieldModel`

  - ### createSatelliteSpecification

    public SatelliteSpecification createSatelliteSpecification()
    Create an instance of `SatelliteSpecification`
    Returns:
      the new instance of `SatelliteSpecification`

  - ### createOutputOptions

    public OutputOptions createOutputOptions()
    Create an instance of `OutputOptions`
    Returns:
      the new instance of `OutputOptions`

  - ### createRegionFilterOptions

    public RegionFilterOptions createRegionFilterOptions()
    Create an instance of `RegionFilterOptions`
    Returns:
      the new instance of `RegionFilterOptions`

  - ### createLocationFilterOptions

    public LocationFilterOptions createLocationFilterOptions()
    Create an instance of `LocationFilterOptions`
    Returns:
      the new instance of `LocationFilterOptions`

  - ### createFormatOptions

    public FormatOptions createFormatOptions()
    Create an instance of `FormatOptions`
    Returns:
      the new instance of `FormatOptions`

  - ### createGraphRequest

    public GraphRequest createGraphRequest()
    Create an instance of `GraphRequest`
    Returns:
      the new instance of `GraphRequest`

  - ### createKmlRequest

    public KmlRequest createKmlRequest()
    Create an instance of `KmlRequest`
    Returns:
      the new instance of `KmlRequest`

  - ### createQueryRequest

    public QueryRequest createQueryRequest()
    Create an instance of `QueryRequest`
    Returns:
      the new instance of `QueryRequest`

  - ### createQueryRequestType

    public QueryRequestType createQueryRequestType()
    Create an instance of `QueryRequestType`
    Returns:
      the new instance of `QueryRequestType`

  - ### createResponse

    public Response createResponse()
    Create an instance of `Response`
    Returns:
      the new instance of `Response`

  - ### createResult

    public Result createResult()
    Create an instance of `Result`
    Returns:
      the new instance of `Result`

  - ### createQueryResponse

    public QueryResponse createQueryResponse()
    Create an instance of `QueryResponse`
    Returns:
      the new instance of `QueryResponse`

  - ### createQueryResult

    public QueryResult createQueryResult()
    Create an instance of `QueryResult`
    Returns:
      the new instance of `QueryResult`

  - ### createSatelliteDescription

    public SatelliteDescription createSatelliteDescription()
    Create an instance of `SatelliteDescription`
    Returns:
      the new instance of `SatelliteDescription`

  - ### createCoordinateOptions

    public CoordinateOptions createCoordinateOptions()
    Create an instance of `CoordinateOptions`
    Returns:
      the new instance of `CoordinateOptions`

  - ### createRegionOptions

    public RegionOptions createRegionOptions()
    Create an instance of `RegionOptions`
    Returns:
      the new instance of `RegionOptions`

  - ### createValueOptions

    public ValueOptions createValueOptions()
    Create an instance of `ValueOptions`
    Returns:
      the new instance of `ValueOptions`

  - ### createDistanceFromOptions

    public DistanceFromOptions createDistanceFromOptions()
    Create an instance of `DistanceFromOptions`
    Returns:
      the new instance of `DistanceFromOptions`

  - ### createBFieldTraceOptions

    public BFieldTraceOptions createBFieldTraceOptions()
    Create an instance of `BFieldTraceOptions`
    Returns:
      the new instance of `BFieldTraceOptions`

  - ### createFilteredCoordinateOptions

    public FilteredCoordinateOptions createFilteredCoordinateOptions()
    Create an instance of `FilteredCoordinateOptions`
    Returns:
      the new instance of `FilteredCoordinateOptions`

  - ### createSpaceRegionsFilterOptions

    public SpaceRegionsFilterOptions createSpaceRegionsFilterOptions()
    Create an instance of `SpaceRegionsFilterOptions`
    Returns:
      the new instance of `SpaceRegionsFilterOptions`

  - ### createMappedRegionFilterOptions

    public MappedRegionFilterOptions createMappedRegionFilterOptions()
    Create an instance of `MappedRegionFilterOptions`
    Returns:
      the new instance of `MappedRegionFilterOptions`

  - ### createHemisphereOptions

    public HemisphereOptions createHemisphereOptions()
    Create an instance of `HemisphereOptions`
    Returns:
      the new instance of `HemisphereOptions`

  - ### createLocationFilter

    public LocationFilter createLocationFilter()
    Create an instance of `LocationFilter`
    Returns:
      the new instance of `LocationFilter`

  - ### createOrbitGraphOptions

    public OrbitGraphOptions createOrbitGraphOptions()
    Create an instance of `OrbitGraphOptions`
    Returns:
      the new instance of `OrbitGraphOptions`

  - ### createGraphScale

    public GraphScale createGraphScale()
    Create an instance of `GraphScale`
    Returns:
      the new instance of `GraphScale`

  - ### createGraphFormatOptions

    public GraphFormatOptions createGraphFormatOptions()
    Create an instance of `GraphFormatOptions`
    Returns:
      the new instance of `GraphFormatOptions`

  - ### createGraphLabelOptions

    public GraphLabelOptions createGraphLabelOptions()
    Create an instance of `GraphLabelOptions`
    Returns:
      the new instance of `GraphLabelOptions`

  - ### createMapProjectionGraphOptions

    public MapProjectionGraphOptions createMapProjectionGraphOptions()
    Create an instance of `MapProjectionGraphOptions`
    Returns:
      the new instance of `MapProjectionGraphOptions`

  - ### createMapLimits

    public MapLimits createMapLimits()
    Create an instance of `MapLimits`
    Returns:
      the new instance of `MapLimits`

  - ### createTimeSeriesGraphOptions

    public TimeSeriesGraphOptions createTimeSeriesGraphOptions()
    Create an instance of `TimeSeriesGraphOptions`
    Returns:
      the new instance of `TimeSeriesGraphOptions`

  - ### createExecuteOptions

    public ExecuteOptions createExecuteOptions()
    Create an instance of `ExecuteOptions`
    Returns:
      the new instance of `ExecuteOptions`

  - ### createResultOptions

    public ResultOptions createResultOptions()
    Create an instance of `ResultOptions`
    Returns:
      the new instance of `ResultOptions`

  - ### createTsyganenko96BFieldModel

    public Tsyganenko96BFieldModel createTsyganenko96BFieldModel()
    Create an instance of `Tsyganenko96BFieldModel`
    Returns:
      the new instance of `Tsyganenko96BFieldModel`

  - ### createTsyganenko89CBFieldModel

    public Tsyganenko89CBFieldModel createTsyganenko89CBFieldModel()
    Create an instance of `Tsyganenko89CBFieldModel`
    Returns:
      the new instance of `Tsyganenko89CBFieldModel`

  - ### createTsyganenko87BFieldModel

    public Tsyganenko87BFieldModel createTsyganenko87BFieldModel()
    Create an instance of `Tsyganenko87BFieldModel`
    Returns:
      the new instance of `Tsyganenko87BFieldModel`

  - ### createSatelliteCondition

    public SatelliteCondition createSatelliteCondition()
    Create an instance of `SatelliteCondition`
    Returns:
      the new instance of `SatelliteCondition`

  - ### createSatellite

    public Satellite createSatellite()
    Create an instance of `Satellite`
    Returns:
      the new instance of `Satellite`

  - ### createGroundStationCondition

    public GroundStationCondition createGroundStationCondition()
    Create an instance of `GroundStationCondition`
    Returns:
      the new instance of `GroundStationCondition`

  - ### createAltitudeGeographicCoordinates

    public AltitudeGeographicCoordinates createAltitudeGeographicCoordinates()
    Create an instance of `AltitudeGeographicCoordinates`
    Returns:
      the new instance of `AltitudeGeographicCoordinates`

  - ### createRadiusGeographicCoordinates

    public RadiusGeographicCoordinates createRadiusGeographicCoordinates()
    Create an instance of `RadiusGeographicCoordinates`
    Returns:
      the new instance of `RadiusGeographicCoordinates`

  - ### createSurfaceGeographicCoordinates

    public SurfaceGeographicCoordinates createSurfaceGeographicCoordinates()
    Create an instance of `SurfaceGeographicCoordinates`
    Returns:
      the new instance of `SurfaceGeographicCoordinates`

  - ### createCartesionCoordinates

    public CartesionCoordinates createCartesionCoordinates()
    Create an instance of `CartesionCoordinates`
    Returns:
      the new instance of `CartesionCoordinates`

  - ### createGroundStationConjunction

    public GroundStationConjunction createGroundStationConjunction()
    Create an instance of `GroundStationConjunction`
    Returns:
      the new instance of `GroundStationConjunction`

  - ### createLeadSatelliteCondition

    public LeadSatelliteCondition createLeadSatelliteCondition()
    Create an instance of `LeadSatelliteCondition`
    Returns:
      the new instance of `LeadSatelliteCondition`

  - ### createBoxConjunctionArea

    public BoxConjunctionArea createBoxConjunctionArea()
    Create an instance of `BoxConjunctionArea`
    Returns:
      the new instance of `BoxConjunctionArea`

  - ### createDistanceConjunctionArea

    public DistanceConjunctionArea createDistanceConjunctionArea()
    Create an instance of `DistanceConjunctionArea`
    Returns:
      the new instance of `DistanceConjunctionArea`

  - ### createRegionCondition

    public RegionCondition createRegionCondition()
    Create an instance of `RegionCondition`
    Returns:
      the new instance of `RegionCondition`

  - ### createSpaceRegions

    public SpaceRegions createSpaceRegions()
    Create an instance of `SpaceRegions`
    Returns:
      the new instance of `SpaceRegions`

  - ### createTraceRegions

    public TraceRegions createTraceRegions()
    Create an instance of `TraceRegions`
    Returns:
      the new instance of `TraceRegions`

  - ### createHemisphereRegions

    public HemisphereRegions createHemisphereRegions()
    Create an instance of `HemisphereRegions`
    Returns:
      the new instance of `HemisphereRegions`

  - ### createAbstractResult

    public AbstractResult createAbstractResult()
    Create an instance of `AbstractResult`
    Returns:
      the new instance of `AbstractResult`

  - ### createFileResult

    public FileResult createFileResult()
    Create an instance of `FileResult`
    Returns:
      the new instance of `FileResult`

  - ### createDataResult

    public DataResult createDataResult()
    Create an instance of `DataResult`
    Returns:
      the new instance of `DataResult`

  - ### createSatelliteData

    public SatelliteData createSatelliteData()
    Create an instance of `SatelliteData`
    Returns:
      the new instance of `SatelliteData`

  - ### createCoordinateData

    public CoordinateData createCoordinateData()
    Create an instance of `CoordinateData`
    Returns:
      the new instance of `CoordinateData`

  - ### createBTraceData

    public BTraceData createBTraceData()
    Create an instance of `BTraceData`
    Returns:
      the new instance of `BTraceData`

  - ### createQueryDataResult

    public QueryDataResult createQueryDataResult()
    Create an instance of `QueryDataResult`
    Returns:
      the new instance of `QueryDataResult`

  - ### createQueryFileResult

    public QueryFileResult createQueryFileResult()
    Create an instance of `QueryFileResult`
    Returns:
      the new instance of `QueryFileResult`

  - ### createConjunction

    public Conjunction createConjunction()
    Create an instance of `Conjunction`
    Returns:
      the new instance of `Conjunction`

  - ### createSatelliteConjunction

    public SatelliteConjunction createSatelliteConjunction()
    Create an instance of `SatelliteConjunction`
    Returns:
      the new instance of `SatelliteConjunction`

  - ### createConjunctionDescription

    public ConjunctionDescription createConjunctionDescription()
    Create an instance of `ConjunctionDescription`
    Returns:
      the new instance of `ConjunctionDescription`

  - ### createTraceDescription

    public TraceDescription createTraceDescription()
    Create an instance of `TraceDescription`
    Returns:
      the new instance of `TraceDescription`

  - ### createSatelliteTarget

    public SatelliteTarget createSatelliteTarget()
    Create an instance of `SatelliteTarget`
    Returns:
      the new instance of `SatelliteTarget`

  - ### createGroundStationTarget

    public GroundStationTarget createGroundStationTarget()
    Create an instance of `GroundStationTarget`
    Returns:
      the new instance of `GroundStationTarget`

  - ### createFileDescription

    public FileDescription createFileDescription()
    Create an instance of `FileDescription`
    Returns:
      the new instance of `FileDescription`

  - ### createRequest

    public jakarta.xml.bind.JAXBElement<Request> createRequest(Request value)
    Create an instance of `JAXBElement``<``Request``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Request``>`

  - ### createLocationRequest

    public jakarta.xml.bind.JAXBElement<LocationRequest> createLocationRequest(LocationRequest value)
    Create an instance of `JAXBElement``<``LocationRequest``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``LocationRequest``>`